#include <stdio.h>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    int N, L, a;
    vector<int> v;
    cin >> N >> L;
    for(int i=0; i<N; i++){
        cin >> a;
        v.push_back(a);
        if(v[i]<=L){
            cout << i+1;
            return 0;
        }
    }
    
    cout << -1;
    return 0;
}